void disp_mcsr(unsigned int mcsr) {
  char msg[8][80] = {"PCI to Add-On FIFO FULL", 
                  "PCI to Add-On FIFO 4+ spaces",
                  "PCI to Add-On FIFO Empty",
                  "Add-On to PCI FIFO Full",
                  "Add-On to PCI 4+ words",
                  "Add-On to PCI FIFO Empty",
                  "PCI to Add-On TCR equals 0",
                  "Add-on to PCI TCR equals 0"};
  int i;

  for (i=0;i<8;i++) {
    if (mcsr & (1<<(7-i)) ) printf("\t\t%d: %s\n",7-i,msg[7-i]);
  }
}
int main(int argc, char **argv) {
  disp_mcsr(0x4466);
  disp_mcsr(0x445e);
  disp_mcsr(0x4446);
}


